rte_security_tls_record_sess_options(3)

NAME
rte_security_tls_record_sess_options

SYNOPSIS

#include <rte_security.h>

  Data Fields

uint32_t iv_gen_disable: 1
uint32_t extra_padding_enable: 1

Detailed Description

TLS record session options

Definition at line 629 of file rte_security.h.

Field Documentation

  uint32_t iv_gen_disable
Disable IV generation in PMD.

•   1: Disable IV generation in PMD. When disabled, IV provided in rte_crypto_op will be used by the PMD.

•   0: Enable IV generation in PMD. When enabled, PMD generated random value would be used and application is not required to provide IV.

Definition at line 638 of file rte_security.h.

  uint32_t extra_padding_enable
Enable extra padding

TLS allows user to pad the plain text to hide the actual size of the record. This is required to achieve traffic flow confidentiality in case of TLS/DTLS flows. This padding is in addition to the default padding performed by PMD (which ensures ciphertext is aligned to block size).

On supported devices, application may pass the required additional padding via rte_crypto_op.aux_flags field.

1 : Enable extra padding of the plain text provided. The extra padding value would be read from rte_crypto_op.aux_flags.

0 : Disable extra padding

Definition at line 654 of file rte_security.h.

Author

Generated automatically by Doxygen for DPDK from the source code.